PHP 手冊
前一頁 |  | 下一頁

# DOMDocument->createProcessingInstruction()

DOMDocument->createProcessingInstruction() -- Creates new PI node

## Description

class DOMDocument {
DOMProcessingInstruction createProcessingInstruction ( string target [, string data] )
}

This function creates a new instance of class DOMProcessingInstruction. This node will not show up in the document unless it is inserted with e.g. DOMNode->appendChild().

## Parameters

target

  The target of the processing instruction.

data

  The content of the processing instruction.

## Return Values

The new DOMProcessingInstruction or `FALSE` if an error occured.

## Exceptions

`DOM_INVALID_CHARACTER_ERR`

  Raised if target contains an invalid character.

## 參考

DOMNode->appendChild()
DOMDocument->createAttribute()
DOMDocument->createAttributeNS()
DOMDocument->createCDATASection()
DOMDocument->createComment()
DOMDocument->createDocumentFragment()
DOMDocument->createElement()
DOMDocument->createElementNS()
DOMDocument->createEntityReference()
DOMDocument->createTextNode()

前一頁 | 內容 | 下一頁
DOMDocument->createEntityReference() | 上一層 | DOMDocument->createTextNode()